> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get long short ratio

GET https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio

Retrieve the ratio of long versus short accounts holding futures and perpetual swap positions for a currency over the requested time window.

Reference: https://okx-demo.ferndocs.com/api/api-reference/trading-statistics/get-long-short-ratio

## Request

### Query parameters

- `ccy` (string, required) — Currency, e.g. BTC.
- `begin` (string, optional) — Begin time, Unix timestamp in milliseconds, e.g. 1597026383085.
- `end` (string, optional) — End time, Unix timestamp in milliseconds, e.g. 1597026683085.
- `period` (enum, optional) — Bar size, the default is 5m.
  - Allowed values: `5m`, `1H`, `1D`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of list of any, optional)

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    [
      "1630502100000",
      "1.25"
    ]
  ]
}
```

**SDK Code**

```python tradingStatistics_getLongShortRatio_example
import requests

url = "https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio"

querystring = {"ccy":"BTC"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript tradingStatistics_getLongShortRatio_example
const url = 'https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go tradingStatistics_getLongShortRatio_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby tradingStatistics_getLongShortRatio_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java tradingStatistics_getLongShortRatio_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC")
  .asString();
```

```php tradingStatistics_getLongShortRatio_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC');

echo $response->getBody();
```

```csharp tradingStatistics_getLongShortRatio_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift tradingStatistics_getLongShortRatio_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rubik/stat/contracts/long-short-account-ratio?ccy=BTC")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```